Package org.lwjgl.util.glu

# Class Sphere

java.lang.Object
org.lwjgl.util.glu.Quadric
org.lwjgl.util.glu.Sphere

public class Sphere extends Quadric
Sphere.java Created 23-dec-2003

Author:
  Erik Duijs

## Field Summary

### Fields inherited from class org.lwjgl.util.glu.Quadric

`drawStyle, normals, orientation, textureFlag`

## Constructor Summary

Constructors
Constructor
Description
`Sphere()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(float radius, int slices, int stacks)`
draws a sphere of the given radius centered around the origin.

### Methods inherited from class org.lwjgl.util.glu.Quadric

`cos, getDrawStyle, getNormals, getOrientation, getTextureFlag, normal3f, setDrawStyle, setNormals, setOrientation, setTextureFlag, sin, TXTR_COORD`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sphere

public Sphere()
Constructor

## Method Details

### draw

public void draw(float radius, int slices, int stacks)
draws a sphere of the given radius centered around the origin. The sphere is subdivided around the z axis into slices and along the z axis into stacks (similar to lines of longitude and latitude). If the orientation is set to GLU.OUTSIDE (with glu.quadricOrientation), then any normals generated point away from the center of the sphere. Otherwise, they point toward the center of the sphere. If texturing is turned on (with glu.quadricTexture), then texture coordinates are generated so that t ranges from 0.0 at z=-radius to 1.0 at z=radius (t increases linearly along longitudinal lines), and s ranges from 0.0 at the +y axis, to 0.25 at the +x axis, to 0.5 at the -y axis, to 0.75 at the -x axis, and back to 1.0 at the +y axis.